package agilpizza.modelo.pizza;

import java.util.List;

public class Pizza extends Categoria {

	Double valorTotal = 10.0;
		
	public Pizza(String nomeDaPizza, List<Ingrediente> ingredientes) {
		super(nomeDaPizza, ingredientes);
	}
	
	public Double getValorTotal(){
		for (Ingrediente ing : getIngredientes()) {
			valorTotal += ing.getValor();
		}
		return valorTotal;
	}
	
}
